I just compiled a small program according to the above purpose.Seems there is something wrong to run this program.Could you please help me to check them?Thanks a lot!
(Defun bl (/ l l') (vl-load-com) (command "_.boundary") (command "_.hatch" (entlast)) (command "_.explode" (entlast)) (setq ss (ssget '((0 . "lines")))) (setq i 0) (repeat (sslength ss) (setq ent (ssname ss i)) ;can i use this kind of sentence directly?(set l (list (getdist ent "select line"))) (setq ens (vlax-Ename->Vla-Object (car ent))) (setq l (vlax-curve-getdistatparam ens (vlax-curve-getendparam ens ))) (alert (strcat "Length = " (rtos l))) (entdel ent) (setq i (1+ i)) )
(set ncl(list (- pt1x dx))) (set ncr(list (+ pt2x dx)));change the x coordinates of start and end points,but how to put back to points?
)
10 Start point (in OCS) DXF: X value; APP: 2D point 20 DXF: Y value of start point (in OCS) 11 End point (in OCS) DXF: X value; APP: 2D point 21 DXF: Y value of end point (in OCS)